Subject: [mmox] An attempt to revive this group: Service Disovery, part 1

From: Christian Scholz <[email-masked]>
Date: Tue, 16 Jun 2009 22:38:27 +0200

Hi there!

This list seems to be quite quiet but I hope we can at least revive some
discussion in it   :-)

In order to do so, I wanted to send out some ideas on what actually
could be discussed here based on some thoughts and interests which have
been circulating here before.

So let me sketch out some ideas.

First of all what has been tried here in the past seems to me to find
consensus on a virtual worlds protocol which reaches from everything a
virtual world does including communications, identity, social
connections, 3D formats, simulation protocols and much more.

Now this apparently hasn't worked out and maybe it actually does not
need to.

The question is maybe more on which subsets of such a protocol could be
worked on together while also including as much as existing components
as possible?

So my idea of a virtual world is actually quite simple: It's a social
network. It's a social network with 3D services attached. Some might
even be just 2D worlds. But technically a virtual world contains most of
the things we usually find in social networks.

Having a 3D environment of course enables a lot of new things and
depending on the type of environment maybe even the community is
influenced and creates certain behaviour, commerce etc.

Now after thinking a bit about it I wonder if we also really want to
reduce all that variety of environments we have today to one single
experience or format/protocol. I think we don't. There is lots left to
invent in this space and there are already a lot of existing and
exciting services out there all being driven by their unique approach to
the problem.

Moreover of course there is some strong business interest to not
recreate the whole environment as esp. 3D related projects tend to me a
lot more resource hungry than e.g. implementing a REST API (think of 3D
clients, protocol benchmarking etc.).

So what maybe can be done more easily than standardizing a complete 3D
virtual worlds environment is to try on discussing certain components to
make this whole framework a bit more modular.

In the past I talked already a bit about service discovery and how
services and users can advertise what services and data they own and
where they are. Add some authorization layer to it and you have a
initial idea of modularity.

In my next email I would like to introduce some existing protocols or
such being worked on which could be helpful in that area. I also would
like to introduce a basic concept on how these can work together.

Besides that I met with Heiner Wolf at the Barcamp in Cologne and we
discussed something along a VW protocol and what some use cases could
be, you can find the notes at
http://socialconnect.info/trac/wiki/vw_protokoll

I also started a prototype of some VW based on Ogre not so much for
inventing new 3D protocols but for testing the integration between
virtual worlds and normal web based social networks. Once I win my fight
against integrating Python, Ogre and some GUI I will hopefully present
it to you.

But that's maybe enough for my first email. I hope that MMOX is not dead
because I see it as one of the few places where at least some vendors
came together and started discussion. I'd really to keep this discussion
alive but maybe not so much centered around what each party is willing
to change or not to change but maybe more focused on general exchange of
ideas or experience. Maybe some common ground can develop on that.

-- Christian

-- 
COM.lounge GmbH
http://comlounge.net
Hanbrucher Strasse 33, 52064 Aachen
Amtsgericht Aachen HRB 15170
Geschäftsführer: Dr. Ben Scheffler, Christian Scholz

email: [email-masked]
fon: +49-241-4007300
fax: +49-241-97900850

personal email: [email-masked]
personal blog: http://mrtopf.de/blog
personal podcasts: http://openweb-podcast.de, http://datawithoutborders.net

---

From: "Hurliman, John" <[email-masked]>
Date: Tue, 16 Jun 2009 14:42:34 -0600

This sounds right along the lines of what Cable Beach is doing. I'm interested to see what specific technologies you propose for service discovery. We've been eyeballing XRD, but it's difficult to gauge what the current status of this standard is.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Christian Scholz
> Sent: Tuesday, June 16, 2009 1:38 PM
> To: [email-masked]
> Subject: [mmox] An attempt to revive this group: Service Disovery, 
> part
> 1
> 
> Hi there!
> 
> could be discussed here based on some thoughts and interests which
> have been circulating here before.
> 
> The question is maybe more on which subsets of such a protocol could
> be worked on together while also including as much as existing
> components as possible?
> 
> even be just 2D worlds. But technically a virtual world contains most
> of the things we usually find in social networks.
> 
> exciting services out there all being driven by their unique approach
> to the problem.
> 
> recreate the whole environment as esp. 3D related projects tend to me
> a lot more resource hungry than e.g. implementing a REST API (think of
> 3D clients, protocol benchmarking etc.).
> 
> virtual worlds environment is to try on discussing certain components
> to make this whole framework a bit more modular.
> 
> virtual worlds and normal web based social networks. Once I win my
> fight against integrating Python, Ogre and some GUI I will hopefully
> present it to you.
> 
> But that's maybe enough for my first email. I hope that MMOX is not
> dead because I see it as one of the few places where at least some
> vendors came together and started discussion. I'd really to keep this
> discussion alive but maybe not so much centered around what each party
> is willing to change or not to change but maybe more focused on
> general exchange of ideas or experience. Maybe some common ground can
> develop on that.
> 
> -- Christian
> 
> 
> --
> COM.lounge GmbH
> http://comlounge.net
> personal email: [email-masked] personal blog: http://mrtopf.de/blog
> _______________________________________________
> mmox mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmox

---

From: Christian Scholz <[email-masked]>
Date: Tue, 16 Jun 2009 23:47:03 +0200

Hurliman, John schrieb:
> This sounds right along the lines of what Cable Beach is doing. I'm
> interested to see what specific technologies you propose for service
> discovery. We've been eyeballing XRD, but it's difficult to gauge
> what the current status of this standard is.

Well, I don't care about the state ;-) For my experiment I will 
implement what's there and will change if needed and changes are made.
But I will mail around to find out what the state is.

Great to hear that Cable Beach is doing something along those lines 
already, maybe we can make some interop test once I also have something 
implemented.

-- Christian

> 
> John
> 
>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Christian Scholz Sent:
>> Tuesday, June 16, 2009 1:38 PM To: [email-masked] Subject: [mmox] An
>> attempt to revive this group: Service Disovery, part 1
>> 
>> Hi there!
>> 
>> This list seems to be quite quiet but I hope we can at least revive
>> some discussion in it   :-)
>> 
>> First of all what has been tried here in the past seems to me to
>> find consensus on a virtual worlds protocol which reaches from
>> everything a virtual world does including communications, identity,
>> social connections, 3D formats, simulation protocols and much more.
>> 
>> 
>> Now this apparently hasn't worked out and maybe it actually does
>> not need to.
>> 
>> The question is maybe more on which subsets of such a protocol
>> could be worked on together while also including as much as
>> existing components as possible?
>> 
>> So my idea of a virtual world is actually quite simple: It's a
>> social network. It's a social network with 3D services attached.
>> Some might even be just 2D worlds. But technically a virtual world
>> contains most of the things we usually find in social networks.
>> 
>> Now after thinking a bit about it I wonder if we also really want
>> to reduce all that variety of environments we have today to one
>> single experience or format/protocol. I think we don't. There is
>> lots left to invent in this space and there are already a lot of
>> existing and exciting services out there all being driven by their
>> unique approach to the problem.
>> 
>> recreate the whole environment as esp. 3D related projects tend to
>> me a lot more resource hungry than e.g. implementing a REST API
>> (think of 3D clients, protocol benchmarking etc.).
>> 
>> So what maybe can be done more easily than standardizing a complete
>> 3D virtual worlds environment is to try on discussing certain
>> components to make this whole framework a bit more modular.
>> 
>> services and users can advertise what services and data they own
>> and where they are. Add some authorization layer to it and you have
>> a initial idea of modularity.
>> 
>> In my next email I would like to introduce some existing protocols
>> or such being worked on which could be helpful in that area. I also
>> would like to introduce a basic concept on how these can work
>> together.
>> 
>> Besides that I met with Heiner Wolf at the Barcamp in Cologne and
>> we discussed something along a VW protocol and what some use cases
>> could be, you can find the notes at 
>>  fight against integrating Python, Ogre and some GUI I will
>> hopefully present it to you.
>> 
>>  vendors came together and started discussion. I'd really to keep
>> this discussion alive but maybe not so much centered around what
>> each party is willing to change or not to change but maybe more
>> focused on general exchange of ideas or experience. Maybe some
>> common ground can develop on that.
>> 
>> -- Christian
>> 
>> 
>> -- COM.lounge GmbH http://comlounge.net Hanbrucher Strasse 33,
>> 52064 Aachen Amtsgericht Aachen HRB 15170 Geschäftsführer: Dr. Ben
>> Scheffler, Christian Scholz
>> 
>> email: [email-masked] fon: +49-241-4007300 fax:
>> +49-241-97900850
>> 
>> personal email: [email-masked] personal blog:
>> http://mrtopf.de/blog personal podcasts: http://openweb-podcast.de,
>>  http://datawithoutborders.net
>> 
>> _______________________________________________ mmox mailing list 
>> [email-masked] https://www.ietf.org/mailman/listinfo/mmox

---

From: Mike Dickson <[email-masked]>
Date: Tue, 16 Jun 2009 16:52:50 -0500

John,

  Can you send a pointer to any info on the Cable Beach work?  I've seen
a simple summary page on the OpenSim site but I'm curious if anything
more detailed exists.

Thanks!

Mike

---

From: "Hurliman, John" <[email-masked]>
Date: Wed, 17 Jun 2009 18:27:34 -0600

The homepage for the project is <http://cablebeach.googlecode.com/> and the future home of the draft is <http://code.google.com/p/cablebeach/wiki/CableBeachCore1_0>, although the code is much further along than the documentation. There is a short introduction and motivation/vision statements on the homepage, along with a tech demo video to give you an idea of the user experience. I should have a video of the Cable Beach talk at Metaverse U and accompanying slides to put on the site soon.

John

> From: Mike Dickson [mailto:[email-masked]]
> Sent: Tuesday, June 16, 2009 2:53 PM
> To: Hurliman, John
> Cc: Christian Scholz; [email-masked]
> Subject: Re: [mmox] An attempt to revive this group: Service Disovery, 
> part 1
> 
> John,
> 
>   Can you send a pointer to any info on the Cable Beach work?  I've
> seen a simple summary page on the OpenSim site but I'm curious if
> anything more detailed exists.
> 
> Thanks!
> 
> Mike
> 
> discovery. We've been eyeballing XRD, but it's difficult to gauge what
> the current status of this standard is.
>> 
>> John
>> 
>>>